Subject: Re: [PATCH v2 16/22] i18n: rebase-interactive: mark comments of squash for translation

From: Vasco Almeida <[email-masked]>
Date: Fri, 27 May 2016 10:36:11 +0000

Às 22:35 de 26-05-2016, Junio C Hamano escreveu:
> Vasco Almeida <[email-masked]> writes:
> 
>> Helper functions this_nth_commit_message and skip_nth_commit_message
>> replace the previous method of making the comment messages (such as
>> "This is the 2nd commit message:") aided by nth_string helper function.
>> This step was taken as a workaround to enabled translation of entire
>> sentences. However, doesn't change any text seen in English by the user,
>> except for string "The first commit's message is:" which was changed to
>> match the style of other instances.
> 
> If only the original were written as "This is the commit message
> $N", you didn't have to do a lot of work like this, but such is
> life.  Thanks for working on this.
> 
I did that work, assuming it was important and we wanted to keep the
existing messages as much as possible. Unless they are out of place, as
it felt about the message I changed. I've assumed that based on the user
being used to those messages and eventual scripts that expected those
messages.
Is my assumption right? Anyway, the work is already done.